Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class Version29Upgrader.NewConfig

    java.lang.Object
      com.atlassian.bamboo.upgrader.Version29Upgrader.NewConfig

Enclosing class:
  Version29Upgrader

    public class Version29Upgrader.NewConfig

extends Object

Field Summary
`String` | `myAdministrator`

Constructor Summary
`Version29Upgrader.NewConfig()`

Method Summary
`Map` | `getMyLabelPathMaps()`
`void` | `setMyAdministrator(String myAdministrator)`
`void` | `setMyAdministratorEmail(String myAdministratorEmail)`
`void` | `setMyAdministratorPassword(String myAdministratorPassword)`
`void` | `setMyBaseUrl(String myBaseUrl)`
`void` | `setMyBuildDirectory(String myBuildDirectory)`
`void` | `setMyBuildExpiryConfiguration(BuildExpiryConfiguration myBuildExpiryConfiguration)`
`void` | `setMyDataFormatVersion(int myDataFormatVersion)`
`void` | `setMyEmailFromAddress(String myEmailFromAddress)`
`void` | `setMyEmailPrefix(String myEmailPrefix)`
`void` | `setMyEnableRemoteApi(boolean myEnableRemoteApi)`
`void` | `setMyJdks(Map myJdks)`
`void` | `setMyLabelPathMaps(Map myLabelPathMaps)`
`void` | `setMyLicense(String myLicense)`
`void` | `setMyRepositoryPollingPeriod(int myRepositoryPollingPeriod)`
`void` | `setMySmtpServer(String mySmtpServer)`
`void` | `setMyUseGzipCompression(boolean myUseGzipCompression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myAdministrator

    public String myAdministrator

Constructor Detail

### Version29Upgrader.NewConfig

    public Version29Upgrader.NewConfig()

Method Detail

### setMyAdministrator

    public void setMyAdministrator(String myAdministrator)

### setMyAdministratorEmail

    public void setMyAdministratorEmail(String myAdministratorEmail)

### setMyAdministratorPassword

    public void setMyAdministratorPassword(String myAdministratorPassword)

### setMySmtpServer

    public void setMySmtpServer(String mySmtpServer)

### setMyBaseUrl

    public void setMyBaseUrl(String myBaseUrl)

### setMyDataFormatVersion

    public void setMyDataFormatVersion(int myDataFormatVersion)

### setMyEmailPrefix

    public void setMyEmailPrefix(String myEmailPrefix)

### setMyEmailFromAddress

    public void setMyEmailFromAddress(String myEmailFromAddress)

### setMyBuildDirectory

    public void setMyBuildDirectory(String myBuildDirectory)

### setMyRepositoryPollingPeriod

    public void setMyRepositoryPollingPeriod(int myRepositoryPollingPeriod)

### setMyUseGzipCompression

    public void setMyUseGzipCompression(boolean myUseGzipCompression)

### setMyJdks

    public void setMyJdks(Map myJdks)

### setMyLicense

    public void setMyLicense(String myLicense)

### setMyEnableRemoteApi

    public void setMyEnableRemoteApi(boolean myEnableRemoteApi)

### setMyBuildExpiryConfiguration

    public void setMyBuildExpiryConfiguration(BuildExpiryConfiguration myBuildExpiryConfiguration)

### setMyLabelPathMaps

    public void setMyLabelPathMaps(Map myLabelPathMaps)

### getMyLabelPathMaps

    public Map getMyLabelPathMaps()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.